Bug Hunting Session
Bug 52370 - SLIDESHOW: Slideshow mixes location of period (.) and/or all other marks in Hebrew (windows only)
Summary: SLIDESHOW: Slideshow mixes location of period (.) and/or all other marks in H...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Slide-Show PPTX RTL-Hebrew
  Show dependency treegraph
 
Reported: 2012-07-22 20:03 UTC by amit.finkler
Modified: 2019-10-21 14:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example of the bug (11.54 KB, application/vnd.oasis.opendocument.presentation)
2013-03-23 18:31 UTC, amit.finkler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description amit.finkler 2012-07-22 20:03:58 UTC
Problem description: 
Slideshow mixes location of period (.) and/or all other marks in Hebrew when the menu language is some LTR (English) and the presentation text boxes are some RTL (Hebrew)
Steps to reproduce:
1. Create a new slide with a Hebrew text box. Write a Hebrew sentence and end it with a full stop (period.)
2. Make sure the menu language is English
3. Play the slideshow and observe the location of the period.

Current behavior:
Full stop mark is at the beginning of the sentence instead of at its end.
Expected behavior:
Full stop mark is at the beginning of the sentence instead of at its end. By the way, this is solved if you change the menu language to Hebrew...
Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20100101 Firefox/14.0.1
Comment 1 Joel Madero 2012-10-29 22:29:48 UTC
Please upload a document that we can see the behavior on. This will make it a lot easier to triage as our QA team is really small and having to install Hebrew input methods takes time. Once you upload the document I can easily look at this and confirm the issue.

Marking as NEEDINFO. Please mark as UNCONFIRMED once you upload a document
Comment 2 Lior Kaplan 2012-11-10 13:53:28 UTC
@amit - have you set the textbox directionality to RTL? otherwise the text will appear as you've mentioned.
Comment 3 retired 2013-03-23 16:19:40 UTC
No further response from bug reporter. Can't reproduce without any test documents.

Setting to INVALID.

Amit: if you can still reproduce this problem with LO 4, please re-open this bug and we'll further investigate.
Comment 4 amit.finkler 2013-03-23 18:31:58 UTC
Created attachment 76950 [details]
example of the bug

The bug has evolved. Not only does the 'period' not appear at the end of line, it transforms into a dash/hyphen _and_ is located at the beginning of the line. See attached example file.
Comment 5 Lior Kaplan 2013-03-25 10:24:59 UTC
I'm unable to see what you're describing. I hope we could meet to reproduce the bug together.
Comment 6 Lior Kaplan 2013-05-08 07:07:36 UTC
I've met today with Amit and saw the bug is reproducible on his computer (LibO 4.0.2.2, win7, 64bit). I've made sure the textbox is RTL during the reproduction.
It doesn't reproduce with Linux (testing on 3.5.4 and 4.0.3.1).
Comment 7 Pavel R 2013-05-21 10:58:25 UTC
I have same problem with LO 4.0.3.3. Version 3.5.7.2 on linux displays everything correctly.
Comment 8 Pavel R 2013-05-21 11:41:53 UTC
Also, I installed 4.0.3.3 on my linux box and it also works correctly, while on 3 Windows boxes it hits this problem.
Comment 9 QA Administrators 2015-09-04 02:48:18 UTC Comment hidden (obsolete)
Comment 10 Pavel R 2015-09-04 05:28:43 UTC
Bug is still present in 5.0.1.2 on Windows 7.
Comment 11 QA Administrators 2016-09-20 10:29:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920